Swap Options
curl --request GET \
--url https://servers.flashrdp.com/api/server/{serverId}/swap \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://servers.flashrdp.com/api/server/{serverId}/swap"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://servers.flashrdp.com/api/server/{serverId}/swap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"value": 0,
"description": "none"
},
{
"value": 256,
"description": "256MB"
},
{
"value": 512,
"description": "512MB"
},
{
"value": 768,
"description": "768MB"
},
{
"value": 1,
"description": "1GB"
},
{
"value": 1.5,
"description": "1.5GB"
}
]
}This response has no body data.{
"errors": [
"This is an error returned from the API",
"This is another error return from the API"
]
}This response has no body data.Swap Options
Retrieves the list of available swap values for the specified server. The swap values provided in the response can be used when building a server.
GET
/
server
/
{serverId}
/
swap
Swap Options
Last modified on June 20, 2026
⌘I